function [dhdt]= ODEpmfun(t,x,options,parpro)
    
%
% ###############  ODE -PROCESS MODEL FUNCTION   ####################
%
% ################      4 CYLINDRICAL TANKS      #################### 
%
% By Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007




%__________________________________

% S-function name
namesf		= 3;

%  Convert field to variable
par_pro;

%__________________________________


h			=	x(1:ns);
Fout		=	a.*sqrt(2*g*h);



%_________________________________________________________________________________

dhdt(1,1)		=	(-Fout(1)	+	Fout(3)	+	X1*F1)/As(1);
dhdt(2,1)		=	(-Fout(2)	+	Fout(4)	+	X2*F2)/As(2);
dhdt(3,1)		=	(-Fout(3)	+	(1-X2)*F2)/As(3);
dhdt(4,1)		=	(-Fout(4)	+	(1-X1)*F1)/As(4);
%_________________________________________________________________________________


