%                                           
% ##################   MOVING HORIZON ESTIMATOR (MHE)     ##################
% ##############  CONSTRAINED EXTEND KALMAN FILTER (cEKF)    ###############
%
%___________________________________________________________________________
%___________________________________________________________________________
%
%             Giovani Tonel (giotonel@enq.ufrgs.br) - May 2007
%___________________________________________________________________________
%___________________________________________________________________________
%
% Set bounds.


N 			= 	get_param('MHE_CEKF/Horizon', 'Value');
N	 		=	str2num(N);

% Lower Bound, size (ns, N+1)

Lb			= [
   7.50000   
   8.50000   
   0.800 
   0.600     ];

Lb			= Lb*ones(1, N+1);


% Upper Bound, size (ns, N+1)

Ub			= [
   15.0000   
   15.0000   
   2.0000 
   2.0000     ];


Ub			=	Ub*ones(1,N+1);

llb		= size(Lb);
lub		= size(Ub);


