%                                           
% ##################   MOVING HORIZON ESTIMATOR (MHE)     ##################
% ##############  CONSTRAINED EXTEND KALMAN FILTER (cEKF)    ###############
%
%___________________________________________________________________________
%___________________________________________________________________________
%
%             Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007
%___________________________________________________________________________
%___________________________________________________________________________
%
% Convert fields of the structure array in variables with the name of the 
% fields' name.


%___________________________________________________________________________

switch namesf
   case 1,
      %__________________________________
      %
      %  Initial Parameters for MHE
      %__________________________________
      
      N				=	parmhe.N			;
      x0			=	parmhe.x0			;
      P0			=	parmhe.P0			;
      Q				=	parmhe.Q			;
      R				=	parmhe.R			;
       
      
   case 2
      %__________________________________
      %
      %  Initial Parameters for cEKF
      %__________________________________
      
      x0			=	parcekf.x0			;
      P0			=	parcekf.P0			;
      Q				=	parcekf.Q				;
      R				=	parcekf.R				;
      
   case 3
      %__________________________________
      %
      %  Parameters for others m functions
      %  Ex.: matrixF.m, pmfun.m
      %__________________________________
      
   otherwise
      sprintf('Check the name of the S-fuction: %i !!!',namesf)
      error ('S-function name is wrong !!!');
         
end



