function dPxdt = Pxpred(t,x,options,Q, parpro)
%___________________________________________________________________________
% ##################          P and x Prediction          ##################
%                                           
% ##################   MOVING HORIZON ESTIMATOR (MHE)     ##################
% ##############  CONSTRAINED EXTEND KALMAN FILTER (cEKF)    ###############
%
% ##################        4 CYLINDRICAL TANKS           ################## 
%___________________________________________________________________________
%
%             By Giovani Tonel (giotonel@enq.ufrgs.br) - April 2007
%___________________________________________________________________________
%___________________________________________________________________________



%___________________________________________________________________________
%
% dP_dt(ns,ns)= F(ns,ns)*P(ns,ns)+ P(ns,ns)*F(ns,ns)'+Q(ns,ns)

[dPdt]		= Ppred(t,x,options,Q, parpro);
%___________________________________________________________________________



[dxdt]		= ODEpmfun(t,x,options,parpro);


% size (dxdt)=(ns+ns^2,1) 
%___________________________________________________________________________
%
dPxdt		=[	
   dxdt(:)		;
   dPdt(:)	]	;	
%___________________________________________________________________________
        

   
 
% Note: (:) is the inverse reshape command!     

   

